Problem updating from 2.5.28

Need help upgrading your Joomla! website or converting to Joomla! 3.x?

Moderator: General Support Moderators

Forum rules
Forum Rules
Absolute Beginner's Guide to Joomla! <-- please read before posting, this means YOU.
Forum Post Assistant - If you are serious about wanting help, you will use this tool to help you post.
Post Reply
gabriel3
Joomla! Apprentice
Joomla! Apprentice
Posts: 35
Joined: Tue May 21, 2019 7:39 am

Problem updating from 2.5.28

Post by gabriel3 » Tue May 21, 2019 9:15 am

Hi,
I'm trying to update a website currently running on Joomla 2.5.28.

I've made various attempts following slightly different guides, including this one: viewtopic.php?f=710&t=793171

I get a partial backend screen with an error message and text-only menus.
The error says:
Table 'dbName.#__postinstall_messages' doesn't exist SQL=SHOW FULL COLUMNS FROM `#__postinstall_messages`

If I click on any menu link (check for updates, for example) i get a page saying 0 -an error occoured, showing the error:

Call to a member function get() on null

The frontend is not visible at all. Red screen with lots of errors.

I've downloaded the FPA. Here's what it generated:
Forum Post Assistant (v1.4.8 (koine)) : 21st May 2019 wrote:
Basic Environment :: wrote:Joomla! Instance :: Joomla! 3.5.1-Stable (Unicorn) 05-April-2016
Joomla! Platform :: Joomla Platform 13.1.0-Stable (Curiosity) 24-Apr-2013
Joomla! Configured :: Yes | Writable (755) | Owner: --protected-- . (uid: 1/gid: 1) | Group: --protected-- (gid: 1) | Valid For: 3.5
Configuration Options :: Offline: false | SEF: false | SEF Suffix: true | SEF ReWrite: false | .htaccess/web.config: No | GZip: false | Cache: false | CacheTime: 15 | CacheHandler: file | CachePlatformPrefix: N/A | FTP Layer: false | Proxy: N/A | LiveSite: | Session lifetime: 30 | Session handler: database | Shared sessions: N/A | SSL: 1 | Error Reporting: maximum | Site Debug: false | Language Debug: false | Default Access: 1 | Unicode Slugs: false | dbConnection Type: mysqli | PHP Supports J! 3.5.1: Yes | Database Supports J! 3.5.1: Yes | Database Credentials Present: Yes |

Host Configuration :: OS: Linux | OS Version: 3.10.0-862.3.2.el7.x86_64 | Technology: x86_64 | Web Server: Apache | Encoding: gzip, deflate, br | Doc Root: --protected-- | System TMP Writable: Yes | Free Disk Space : 243.00 GiB |

PHP Configuration :: Version: 7.1.28 | PHP API: cgi-fcgi | Session Path Writable: Yes | Display Errors: 1 | Error Reporting: 24567 | Log Errors To: | Last Known Error: | Register Globals: | Magic Quotes: | Safe Mode: | Open Base: | Uploads: 1 | Max. Upload Size: 50M | Max. POST Size: 30M | Max. Input Time: 60 | Max. Execution Time: 900 | Memory Limit: 256M

Database Configuration :: Version: 5.5.61-38.13-log (Client:mysqlnd 5.0.12-dev - 20150407 - $Id: 38fea24f2847fa7519001be390c98ae0acafe387 $) | Host: --protected-- (--protected--) | default Collation: utf8_general_ci (default Character Set: utf8) | Database Size: 41.34 MiB | #of Tables:  65
Detailed Environment :: wrote:PHP Extensions :: Core (7.1.28) | date (7.1.28) | libxml (7.1.28) | openssl (7.1.28) | pcre (7.1.28) | sqlite3 (7.1.28) | zlib (7.1.28) | bcmath (7.1.28) | bz2 (7.1.28) | calendar (7.1.28) | ctype (7.1.28) | curl (7.1.28) | dom (20031129) | hash (1.0) | fileinfo (1.0.5) | filter (7.1.28) | ftp (7.1.28) | gd (7.1.28) | gettext (7.1.28) | SPL (7.1.28) | iconv (7.1.28) | session (7.1.28) | intl (1.1.0) | json (1.5.0) | mbstring (7.1.28) | mcrypt (7.1.28) | standard (7.1.28) | mysqlnd (mysqlnd 5.0.12-dev - 20150407 - $Id: 38fea24f2847fa7519001be390c98ae0acafe387 $) | mysqli (7.1.28) | PDO (7.1.28) | pdo_mysql (7.1.28) | pdo_sqlite (7.1.28) | Phar (2.0.2) | posix (7.1.28) | Reflection (7.1.28) | imap (7.1.28) | SimpleXML (7.1.28) | soap (7.1.28) | exif (7.1.28) | tidy (7.1.28) | tokenizer (7.1.28) | wddx (7.1.28) | xml (7.1.28) | xmlreader (7.1.28) | xmlrpc (7.1.28) | xmlwriter (7.1.28) | xsl (7.1.28) | zip (1.13.5) | cgi-fcgi () | imagick (3.4.3) | raphf (2.0.0) | propro (2.1.0) | SourceGuardian (11.2) | ionCube Loader () | Zend Engine (3.1.0) |
Potential Missing Extensions ::
Disabled Functions :: system | popen | dl | passthru | proc_open | shell_exec |

Switch User Environment (Experimental) :: PHP CGI: Yes | Server SU: Yes | PHP SU: Yes | Custom SU (LiteSpeed/Cloud/Grid): Yes
Potential Ownership Issues: No
Folder Permissions :: wrote:Core Folders :: images/ (755) | components/ (755) | modules/ (755) | plugins/ (755) | language/ (755) | templates/ (755) | cache/ (755) | logs/ (755) | tmp/ (755) | administrator/components/ (755) | administrator/modules/ (755) | administrator/language/ (755) | administrator/templates/ (755) | administrator/logs/ (---) |

Elevated Permissions (First 10) ::
Database Information :: wrote:Database statistics :: Uptime: 22177770 | Threads: 15 | Questions: 30148676507 | Slow queries: 20423 | Opens: 1332471839 | Flush tables: 1 | Open tables: 128 | Queries per second avg: 1359.409 |
Extensions Discovered :: wrote:Components :: SITE ::
Core :: com_mailto (3.0.0) 1 | com_wrapper (3.0.0) 1 |
3rd Party::

Components :: ADMIN ::
Core :: com_admin (3.0.0) 1 | com_banners (3.0.0) 1 | com_cache (3.0.0) 1 | com_categories (3.0.0) 1 | com_checkin (3.0.0) 1 | com_config (3.0.0) 1 | com_content (3.0.0) 1 | com_cpanel (3.0.0) 1 | com_finder (3.0.0) 1 | com_installer (3.0.0) 1 | com_joomlaupdate (3.0.0) 1 | com_languages (3.0.0) 1 | com_login (3.0.0) 1 | com_media (3.0.0) 1 | com_menus (3.0.0) 1 | com_messages (3.0.0) 1 | com_modules (3.0.0) 1 | com_newsfeeds (3.0.0) 1 | com_plugins (3.0.0) 1 | com_redirect (3.0.0) 1 | com_search (3.0.0) 1 | com_templates (3.0.0) 1 | com_users (3.0.0) 1 | com_weblinks (2.5.0) 1 | com_ajax (3.2.0) ? | com_contenthistory (3.2.0) ? | com_postinstall (3.2.0) ? | com_tags (3.1.0) ? |
3rd Party:: Akeeba (4.7.7) ? |

Modules :: SITE ::
Core :: mod_articles_archive (3.0.0) 1 | mod_articles_categories (3.0.0) 1 | mod_articles_category (3.0.0) 1 | mod_articles_latest (3.0.0) 1 | mod_articles_news (3.0.0) 1 | mod_articles_popular (3.0.0) 1 | mod_banners (3.0.0) 1 | mod_breadcrumbs (3.0.0) 1 | mod_custom (3.0.0) 1 | mod_feed (3.0.0) 1 | mod_finder (3.0.0) 1 | mod_footer (3.0.0) 1 | mod_languages (3.0.0) 1 | mod_login (3.0.0) 1 | mod_menu (3.0.0) 1 | mod_random_image (3.0.0) 1 | mod_related_items (3.0.0) 1 | mod_search (3.0.0) 1 | mod_tags_popular (3.1.0) ? | mod_stats (3.0.0) 1 | mod_syndicate (3.0.0) 1 | mod_users_latest (3.0.0) 1 | mod_weblinks (2.5.0) 1 | mod_whosonline (3.0.0) 1 | mod_wrapper (3.0.0) 1 | mod_tags_similar (3.1.0) ? |
3rd Party:: mod_news_pro_gk4 (3.4.1) 1 |

Modules :: ADMIN ::
Core :: mod_custom (3.0.0) 1 | mod_feed (3.0.0) 1 | mod_latest (3.0.0) 1 | mod_logged (3.0.0) 1 | mod_login (3.0.0) 1 | mod_menu (3.0.0) 1 | mod_multilangstatus (3.0.0) 1 | mod_popular (3.0.0) 1 | mod_quickicon (3.0.0) 1 | mod_status (3.0.0) 1 | mod_submenu (3.0.0) 1 | mod_title (3.0.0) 1 | mod_toolbar (3.0.0) 1 | mod_version (3.0.0) 1 | mod_stats_admin (3.0.0) ? |
3rd Party::

Libraries :: SITE ::
Core ::
3rd Party::

Plugins :: SITE ::
Core :: plg_authentication_gmail (3.0.0) 0 | plg_authentication_joomla (3.0.0) 1 | plg_authentication_ldap (3.0.0) 0 | plg_authentication_cookie (3.0.0) ? | plg_captcha_recaptcha (3.4.0) 1 | plg_content_emailcloak (3.0.0) 1 | plg_content_finder (3.0.0) 0 | plg_content_geshi (2.5.0) 0 | plg_content_joomla (3.0.0) 1 | plg_content_loadmodule (3.0.0) 1 | plg_content_pagebreak (3.0.0) 1 | plg_content_pagenavigation (3.0.0) 1 | plg_content_vote (3.0.0) 1 | plg_editors-xtd_article (3.0.0) 1 | plg_editors-xtd_image (3.0.0) 1 | plg_editors-xtd_pagebreak (3.0.0) 1 | plg_editors-xtd_readmore (3.0.0) 1 | plg_editors-xtd_module (3.5.0) ? | plg_extension_joomla (3.0.0) 1 | plg_finder_categories (3.0.0) 1 | plg_finder_contacts (3.0.0) 1 | plg_finder_content (3.0.0) 1 | plg_finder_newsfeeds (3.0.0) 1 | plg_finder_weblinks (2.5.0) 1 | plg_finder_tags (3.0.0) ? | PLG_EOSNOTIFY (2.5.0) ? | plg_quickicon_extensionupdate (3.0.0) 1 | plg_quickicon_joomlaupdate (3.0.0) 1 | plg_search_categories (3.0.0) 1 | plg_search_contacts (3.0.0) 1 | plg_search_content (3.0.0) 1 | plg_search_newsfeeds (3.0.0) 1 | plg_search_weblinks (2.5.0) 1 | plg_search_tags (3.0.0) ? | plg_system_cache (3.0.0) 0 | plg_system_debug (3.0.0) 1 | plg_system_stats (3.5.0) ? | plg_system_highlight (3.0.0) 1 | plg_system_languagecode (3.0.0) 0 | plg_system_languagefilter (3.0.0) 0 | plg_system_log (3.0.0) 1 | plg_system_logout (3.0.0) 1 | plg_system_p3p (3.0.0) 1 | plg_system_redirect (3.0.0) 1 | plg_system_remember (3.0.0) 0 | plg_system_sef (3.0.0) 1 | plg_system_updatenotification (3.5.0) ? | plg_user_contactcreator (3.0.0) 0 | plg_user_joomla (3.0.0) 1 | plg_user_profile (3.0.0) 0 | plg_twofactorauth_totp (3.2.0) ? | plg_twofactorauth_yubikey (3.2.0) ? |
3rd Party:: plg_editors_codemirror (5.12) 1 | plg_editors_tinymce (4.3.3) 1 | plg_quickicon_akeebabackup (1.0) 1 | PLG_SYSTEM_BACKUPONUPDATE_TITLE (3.7) 1 |
Templates Discovered :: wrote:Templates :: SITE :: atomic (2.5.0) 1 | beez5 (2.5.0) 1 | beez_20 (2.5.0) 1 | magazine3000 (2.5.0) 1 | beez3 (3.1.0) ? | protostar (1.0) ? |
Templates :: ADMIN :: bluestork (2.5.0) 1 | hathor (3.0.0) 1 | isis (1.0) ? |
Sorry for any typo or newbie error.

User avatar
AMurray
Joomla! Virtuoso
Joomla! Virtuoso
Posts: 4728
Joined: Sat Feb 13, 2010 7:35 am
Location: Australia

Re: Problem updating from 2.5.28

Post by AMurray » Thu May 30, 2019 9:55 pm

Leo's guide should be fool-proof; not sure why you're having issues if you' follow his instruction to the letter.

Did you disable, uninstall or update (or find equivalents for) any extensions that are old and not compatible with 3.x?
Regards,
--------------------------------------------------------------
A Murray
Millennium Falcon - it's the ship that made the Kessel run in less than 12 parsecs! The fastest hunk of junk in the galaxy.

User avatar
AMurray
Joomla! Virtuoso
Joomla! Virtuoso
Posts: 4728
Joined: Sat Feb 13, 2010 7:35 am
Location: Australia

Re: Problem updating from 2.5.28

Post by AMurray » Thu May 30, 2019 9:58 pm

I'd start over from a backup and try again. I see that you have Akeeba, so assume you made that very important backup before you attempted this.

You could even try this on your local computer - install WAMPServer or XAMPP or whatever is your preference, and try the restore there, then attempt the upgrade This will save messing with the live site. The local server should replicate the live server as much as possible.

Also note, that PHP 7.1 wouldn't have run Joomla 2.5.x, so it is probably better to stick with PHP 5.6 until you have a working site, then change to PHP 7.x (7.2 or 7.3 recommended over 7.1).
Regards,
--------------------------------------------------------------
A Murray
Millennium Falcon - it's the ship that made the Kessel run in less than 12 parsecs! The fastest hunk of junk in the galaxy.

User avatar
Per Yngve Berg
Joomla! Master
Joomla! Master
Posts: 25751
Joined: Mon Oct 27, 2008 9:27 pm
Location: Akershus, Norway

Re: Problem updating from 2.5.28

Post by Per Yngve Berg » Fri May 31, 2019 7:35 am

Max Post Size should be larger than the Upload Size.

Did you disable the remember me plugin?

User avatar
leolam
Joomla! Master
Joomla! Master
Posts: 19552
Joined: Mon Aug 29, 2005 10:17 am
Location: Netherlands/ UK/ S'pore/Jakarta/ North America
Contact:

Re: Problem updating from 2.5.28

Post by leolam » Sun Jun 02, 2019 3:35 pm

You might have corrupt fof files. Install Akeeba Admin Tools Core (free) which corrects errors with those files in that folder. If that does not resolve roll back to J25 and redo precisely as I have written down in the guide. This works for all the sites we have (mini) migrated to Joomla 3.x and make sure that all non-Joomla extensions are disabled or uninstalled (compatibility!) You can enable or reinstall them later

Leo 8)
Joomla's #1 Professional Support Provider:
-> Joomla Professional Support: https://gws-desk.com -
-> Joomla Specialized Hosting Solutions: https://gws-host.com -
-> Joomla Webmaster Services: gws-webmaster.services


Post Reply

Return to “Migrating and Upgrading to Joomla! 3.x”